#nullable disable
using System;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.QT;

namespace SourceGen
{

    [DataContract]
    public class IQT998Data : IQT998
    {
        [DataMember(Order = 0)]
        public short Fault { get; set; }
        [DataMember(Order = 1)]
        public short InAsk { get; set; }
        [DataMember(Order = 2)]
        public short InOk { get; set; }
        [DataMember(Order = 3)]
        public short OutAsk { get; set; }
        [DataMember(Order = 4)]
        public short Enable { get; set; }
    }
    [DataContract]
    public class IQT51Data : IQT51
    {
        [DataMember(Order = 0)]
        public QTFault Fault { get; set; }
        [DataMember(Order = 1)]
        public QTStatus Enable { get; set; }
        [DataMember(Order = 2)]
        public QTRunStatus RunStatus { get ; set ; }
    }
    [DataContract]
    public class ITruss531Data : WCS.Entity.Protocol.Truss.ITruss531
    {
        [DataMember(Order = 0)]
        public int TaskNo1 { get; set; }
        [DataMember(Order = 1)]
        public int TaskNo2 { get; set; }
        [DataMember(Order = 2)]
        public int TaskNo3 { get; set; }
        [DataMember(Order = 3)]
        public int TaskNo4 { get; set; }
        [DataMember(Order = 4)]
        public int TaskNo5 { get; set; }
        [DataMember(Order = 5)]
        public int TaskNo6 { get; set; }
        [DataMember(Order = 6)]
        public int TaskNo7 { get; set; }
        [DataMember(Order = 7)]
        public int TaskNo8 { get; set; }
        [DataMember(Order = 8)]
        public int TaskNo9 { get; set; }
        [DataMember(Order = 9)]
        public int TaskNo10 { get; set; }
        [DataMember(Order = 10)]
        public int TaskNo11 { get; set; }
        [DataMember(Order = 11)]
        public int TaskNo12 { get; set; }
        [DataMember(Order = 12)]
        public int TaskNo13 { get; set; }
        [DataMember(Order = 13)]
        public int TaskNo14 { get; set; }
        [DataMember(Order = 14)]
        public int TaskNo15 { get; set; }
        [DataMember(Order = 15)]
        public int TaskNo16 { get; set; }
        [DataMember(Order = 16)]
        public int TaskNo17 { get; set; }
        [DataMember(Order = 17)]
        public int TaskNo18 { get; set; }
        [DataMember(Order = 18)]
        public int TaskNo19 { get; set; }
        [DataMember(Order = 19)]
        public int TaskNo20 { get; set; }
        [DataMember(Order = 20)]
        public int TaskNo21 { get; set; }
        [DataMember(Order = 21)]
        public int TaskNo22 { get; set; }
        [DataMember(Order = 22)]
        public int TaskNo23 { get; set; }
        [DataMember(Order = 23)]
        public int TaskNo24 { get; set; }
        [DataMember(Order = 24)]
        public int TaskNo25 { get; set; }
        [DataMember(Order = 25)]
        public int TaskNo26 { get; set; }
        [DataMember(Order = 26)]
        public int TaskNo27 { get; set; }
        [DataMember(Order = 27)]
        public int TaskNo28 { get; set; }
        [DataMember(Order = 28)]
        public int TaskNo29 { get; set; }
        [DataMember(Order = 29)]
        public int TaskNo30 { get; set; }
        [DataMember(Order = 30)]
        public int TaskNo31 { get; set; }
        [DataMember(Order = 31)]
        public int TaskNo32 { get; set; }
        [DataMember(Order = 32)]
        public int TaskNo33 { get; set; }
        [DataMember(Order = 33)]
        public int TaskNo34 { get; set; }
        [DataMember(Order = 34)]
        public int TaskNo35 { get; set; }
        [DataMember(Order = 35)]
        public int TaskNo36 { get; set; }
        [DataMember(Order = 36)]
        public int TaskNo37 { get; set; }
        [DataMember(Order = 37)]
        public int TaskNo38 { get; set; }
        [DataMember(Order = 38)]
        public int TaskNo39 { get; set; }
        [DataMember(Order = 39)]
        public int TaskNo40 { get; set; }
        [DataMember(Order = 40)]
        public int TaskNo41 { get; set; }
        [DataMember(Order = 41)]
        public int TaskNo42 { get; set; }
        [DataMember(Order = 42)]
        public int TaskNo43 { get; set; }
        [DataMember(Order = 43)]
        public int TaskNo44 { get; set; }
        [DataMember(Order = 44)]
        public int TaskNo45 { get; set; }
        [DataMember(Order = 45)]
        public int TaskNo46 { get; set; }
        [DataMember(Order = 46)]
        public int TaskNo47 { get; set; }
        [DataMember(Order = 47)]
        public int TaskNo48 { get; set; }
        [DataMember(Order = 48)]
        public int TaskNo49 { get; set; }
        [DataMember(Order = 49)]
        public int TaskNo50 { get; set; }
        [DataMember(Order = 50)]
        public int TaskNo51 { get; set; }
        [DataMember(Order = 51)]
        public int TaskNo52 { get; set; }
        [DataMember(Order = 52)]
        public int TaskNo53 { get; set; }
        [DataMember(Order = 53)]
        public int TaskNo54 { get; set; }
        [DataMember(Order = 54)]
        public int TaskNo55 { get; set; }
        [DataMember(Order = 55)]
        public int TaskNo56 { get; set; }
        [DataMember(Order = 56)]
        public int TaskNo57 { get; set; }
        [DataMember(Order = 57)]
        public int TaskNo58 { get; set; }
        [DataMember(Order = 58)]
        public int TaskNo59 { get; set; }
        [DataMember(Order = 59)]
        public int TaskNo60 { get; set; }
        [DataMember(Order = 60)]
        public short Type { get; set; }
        [DataMember(Order = 61)]
        public short MaxQuantity { get; set; }
        [DataMember(Order = 62)]
        public short Quantity { get; set; }
        [DataMember(Order = 63)]
        public WCS.Entity.Protocol.Truss.TrussCmdType CmdType { get; set; }
        [DataMember(Order = 64)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class ITruss523Data : WCS.Entity.Protocol.Truss.ITruss523
    {
        [DataMember(Order = 0)]
        public WCS.Entity.Protocol.Truss.TrussAlarm Alarm { get; set; }
    }
    [DataContract]
    public class ITruss521Data : WCS.Entity.Protocol.Truss.ITruss521
    {
        [DataMember(Order = 0)]
        public short DestPosition_1 { get; set; }
        [DataMember(Order = 1)]
        public short TargetPallte1 { get; set; }
        [DataMember(Order = 2)]
        public int Task1_1 { get; set; }
        [DataMember(Order = 3)]
        public short Dest1_1 { get; set; }
        [DataMember(Order = 4)]
        public int Task1_2 { get; set; }
        [DataMember(Order = 5)]
        public short Dest1_2 { get; set; }
        [DataMember(Order = 6)]
        public int Task1_3 { get; set; }
        [DataMember(Order = 7)]
        public short Dest1_3 { get; set; }
        [DataMember(Order = 8)]
        public int Task1_4 { get; set; }
        [DataMember(Order = 9)]
        public short Dest1_4 { get; set; }
        [DataMember(Order = 10)]
        public int Task1_5 { get; set; }
        [DataMember(Order = 11)]
        public short Dest1_5 { get; set; }
        [DataMember(Order = 12)]
        public short TaskSum1 { get; set; }
        [DataMember(Order = 13)]
        public short DestPosition_2 { get; set; }
        [DataMember(Order = 14)]
        public short TargetPallte2 { get; set; }
        [DataMember(Order = 15)]
        public int Task2_1 { get; set; }
        [DataMember(Order = 16)]
        public short Dest2_1 { get; set; }
        [DataMember(Order = 17)]
        public int Task2_2 { get; set; }
        [DataMember(Order = 18)]
        public short Dest2_2 { get; set; }
        [DataMember(Order = 19)]
        public int Task2_3 { get; set; }
        [DataMember(Order = 20)]
        public short Dest2_3 { get; set; }
        [DataMember(Order = 21)]
        public int Task2_4 { get; set; }
        [DataMember(Order = 22)]
        public short Dest2_4 { get; set; }
        [DataMember(Order = 23)]
        public int Task2_5 { get; set; }
        [DataMember(Order = 24)]
        public short Dest2_5 { get; set; }
        [DataMember(Order = 25)]
        public short TaskSum2 { get; set; }
        [DataMember(Order = 26)]
        public WCS.Entity.Protocol.Truss.TrussStatus Status { get; set; }
        [DataMember(Order = 27)]
        public short CmdType { get; set; }
        [DataMember(Order = 28)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 29)]
        public int PalletizingId { get; set; }
        [DataMember(Order = 30)]
        public int PalletizingRowId1 { get; set; }
        [DataMember(Order = 31)]
        public int PalletizingRowId2 { get; set; }
    }
    [DataContract]
    public class ITruss520Data : WCS.Entity.Protocol.Truss.ITruss520
    {
        [DataMember(Order = 0)]
        public short DestPosition_1 { get; set; }
        [DataMember(Order = 1)]
        public short TargetPallte1 { get; set; }
        [DataMember(Order = 2)]
        public int Task1_1 { get; set; }
        [DataMember(Order = 3)]
        public short Dest1_1 { get; set; }
        [DataMember(Order = 4)]
        public int Task1_2 { get; set; }
        [DataMember(Order = 5)]
        public short Dest1_2 { get; set; }
        [DataMember(Order = 6)]
        public int Task1_3 { get; set; }
        [DataMember(Order = 7)]
        public short Dest1_3 { get; set; }
        [DataMember(Order = 8)]
        public int Task1_4 { get; set; }
        [DataMember(Order = 9)]
        public short Dest1_4 { get; set; }
        [DataMember(Order = 10)]
        public int Task1_5 { get; set; }
        [DataMember(Order = 11)]
        public short Dest1_5 { get; set; }
        [DataMember(Order = 12)]
        public short TaskSum1 { get; set; }
        [DataMember(Order = 13)]
        public short DestPosition_2 { get; set; }
        [DataMember(Order = 14)]
        public short TargetPallte2 { get; set; }
        [DataMember(Order = 15)]
        public int Task2_1 { get; set; }
        [DataMember(Order = 16)]
        public short Dest2_1 { get; set; }
        [DataMember(Order = 17)]
        public int Task2_2 { get; set; }
        [DataMember(Order = 18)]
        public short Dest2_2 { get; set; }
        [DataMember(Order = 19)]
        public int Task2_3 { get; set; }
        [DataMember(Order = 20)]
        public short Dest2_3 { get; set; }
        [DataMember(Order = 21)]
        public int Task2_4 { get; set; }
        [DataMember(Order = 22)]
        public short Dest2_4 { get; set; }
        [DataMember(Order = 23)]
        public int Task2_5 { get; set; }
        [DataMember(Order = 24)]
        public short Dest2_5 { get; set; }
        [DataMember(Order = 25)]
        public short TaskSum2 { get; set; }
        [DataMember(Order = 26)]
        public short CmdType { get; set; }
        [DataMember(Order = 27)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 28)]
        public int PalletizingId { get; set; }
        [DataMember(Order = 29)]
        public int PalletizingRowId1 { get; set; }
        [DataMember(Order = 30)]
        public int PalletizingRowId2 { get; set; }
    }
    [DataContract]
    public class ITruss530Data : WCS.Entity.Protocol.Truss.ITruss530
    {
        [DataMember(Order = 0)]
        public short Type { get; set; }
        [DataMember(Order = 1)]
        public short MaxQuantity { get; set; }
        [DataMember(Order = 2)]
        public WCS.Entity.Protocol.Truss.TrussCmdType CmdType { get; set; }
        [DataMember(Order = 3)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class IRobot521Data : WCS.Entity.Protocol.Robot.IRobot521
    {
        [DataMember(Order = 0)]
        public short AddrFrom { get; set; }
        [DataMember(Order = 1)]
        public short AddrTo { get; set; }
        [DataMember(Order = 2)]
        public short GoodsType { get; set; }
        [DataMember(Order = 3)]
        public short TaskQty { get; set; }
        [DataMember(Order = 4)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotRqst Rqst { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 6)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotMode Mode { get; set; }
        [DataMember(Order = 7)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotRunStatus Status { get; set; }
        [DataMember(Order = 8)]
        public short Alarm { get; set; }
        [DataMember(Order = 9)]
        public float Runtime { get; set; }
        [DataMember(Order = 10)]
        public int Task1 { get; set; }
        [DataMember(Order = 11)]
        public int Task2 { get; set; }
        [DataMember(Order = 12)]
        public int Task3 { get; set; }
    }
    [DataContract]
    public class IRobot530Data : WCS.Entity.Protocol.Robot.IRobot530
    {
        [DataMember(Order = 0)]
        public int PalletID { get; set; }
        [DataMember(Order = 1)]
        public short Type { get; set; }
        [DataMember(Order = 2)]
        public short MaxQty { get; set; }
        [DataMember(Order = 3)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotStationCmd Cmd { get; set; }
        [DataMember(Order = 4)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class IRobot531Data : WCS.Entity.Protocol.Robot.IRobot531
    {
        [DataMember(Order = 0)]
        public int PalletID { get; set; }
        [DataMember(Order = 1)]
        public short Type { get; set; }
        [DataMember(Order = 2)]
        public short MaxQty { get; set; }
        [DataMember(Order = 3)]
        public short Qty { get; set; }
        [DataMember(Order = 4)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotStationRqst Rqst { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 6)]
        public int[] TaskArray { get; set; }
    }
    [DataContract]
    public class IRobot520Data : WCS.Entity.Protocol.Robot.IRobot520
    {
        [DataMember(Order = 0)]
        public short AddrFrom { get; set; }
        [DataMember(Order = 1)]
        public short AddrTo { get; set; }
        [DataMember(Order = 2)]
        public short GoodsType { get; set; }
        [DataMember(Order = 3)]
        public short TaskQty { get; set; }
        [DataMember(Order = 4)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotCmd Cmd { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 6)]
        public int Task1 { get; set; }
        [DataMember(Order = 7)]
        public int Task2 { get; set; }
        [DataMember(Order = 8)]
        public int Task3 { get; set; }
    }
    [DataContract]
    public class IRobot522Data : WCS.Entity.Protocol.Robot.IRobot522
    {
        [DataMember(Order = 0)]
        public WCS.Entity.Protocol.Protocol.Robot.RobotAlarm Alarm { get; set; }
    }
    [DataContract]
    public class IStation524Data : WCS.Entity.Protocol.Station.IStation524
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }
        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }
        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }
        [DataMember(Order = 3)]
        public WCS.Entity.Protocol.Station.StationMode Mode { get; set; }
        [DataMember(Order = 4)]
        public short CmdType { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 6)]
        public short Request { get; set; }
    }
    [DataContract]
    public class IStation91Data : WCS.Entity.Protocol.Station.IStation91
    {
        [DataMember(Order = 0)]
        public WCS.Entity.Protocol.Station.StationShapeAlarm ShapeAlarm { get; set; }
        [DataMember(Order = 1)]
        public float Weight { get; set; }
        [DataMember(Order = 2)]
        public float Length { get; set; }
        [DataMember(Order = 3)]
        public float Width { get; set; }
    }
    [DataContract]
    public class IStation90Data : WCS.Entity.Protocol.Station.IStation90
    {
    }
    [DataContract]
    public class IStation521Data : WCS.Entity.Protocol.Station.IStation521
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }
        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }
        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }
        [DataMember(Order = 3)]
        public WCS.Entity.Protocol.Station.StationMode Mode { get; set; }
        [DataMember(Order = 4)]
        public short CmdType { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 6)]
        public short Request { get; set; }
    }
    [DataContract]
    public class IStation520Data : WCS.Entity.Protocol.Station.IStation520
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }
        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }
        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }
        [DataMember(Order = 3)]
        public WCS.Entity.Protocol.Station.StationMode Mode { get; set; }
        [DataMember(Order = 4)]
        public WCS.Entity.Protocol.Station.StationCmd CmdType { get; set; }
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class IStation23Data : WCS.Entity.Protocol.Station.IStation23
    {
        [DataMember(Order = 0)]
        public short ReadQty { get; set; }
        [DataMember(Order = 1)]
        public int[] TaskArray { get; set; }
    }
    [DataContract]
    public class IStation523Data : WCS.Entity.Protocol.Station.IStation523
    {
        [DataMember(Order = 0)]
        public WCS.Entity.Protocol.Station.StationAlarm Alarm { get; set; }
        [DataMember(Order = 1)]
        public short RES { get; set; }
        [DataMember(Order = 2)]
        public WCS.Entity.Protocol.Station.StationStatus Status { get; set; }
        [DataMember(Order = 3)]
        public float RunTime { get; set; }
        [DataMember(Order = 4)]
        public WCS.Entity.Protocol.Station.StationStatus1 Status1 { get; set; }
    }
    [DataContract]
    public class IStation525Data : WCS.Entity.Protocol.Station.IStation525
    {
        [DataMember(Order = 0)]
        public short NextIndex { get; set; }
        [DataMember(Order = 1)]
        public string BcrCode0 { get; set; }
        [DataMember(Order = 2)]
        public int TaskNumber0 { get; set; }
        [DataMember(Order = 3)]
        public short GoodsStart0 { get; set; }
        [DataMember(Order = 4)]
        public short GoodsEnd0 { get; set; }
        [DataMember(Order = 5)]
        public short Mode0 { get; set; }
        [DataMember(Order = 6)]
        public short CmdType0 { get; set; }
        [DataMember(Order = 7)]
        public short VoucherNo0 { get; set; }
        [DataMember(Order = 8)]
        public string BcrCode1 { get; set; }
        [DataMember(Order = 9)]
        public int TaskNumber1 { get; set; }
        [DataMember(Order = 10)]
        public short GoodsStart1 { get; set; }
        [DataMember(Order = 11)]
        public short GoodsEnd1 { get; set; }
        [DataMember(Order = 12)]
        public short Mode1 { get; set; }
        [DataMember(Order = 13)]
        public short CmdType1 { get; set; }
        [DataMember(Order = 14)]
        public short VoucherNo1 { get; set; }
        [DataMember(Order = 15)]
        public string BcrCode2 { get; set; }
        [DataMember(Order = 16)]
        public int TaskNumber2 { get; set; }
        [DataMember(Order = 17)]
        public short GoodsStart2 { get; set; }
        [DataMember(Order = 18)]
        public short GoodsEnd2 { get; set; }
        [DataMember(Order = 19)]
        public short Mode2 { get; set; }
        [DataMember(Order = 20)]
        public short CmdType2 { get; set; }
        [DataMember(Order = 21)]
        public short VoucherNo2 { get; set; }
        [DataMember(Order = 22)]
        public string BcrCode3 { get; set; }
        [DataMember(Order = 23)]
        public int TaskNumber3 { get; set; }
        [DataMember(Order = 24)]
        public short GoodsStart3 { get; set; }
        [DataMember(Order = 25)]
        public short GoodsEnd3 { get; set; }
        [DataMember(Order = 26)]
        public short Mode3 { get; set; }
        [DataMember(Order = 27)]
        public short CmdType3 { get; set; }
        [DataMember(Order = 28)]
        public short VoucherNo3 { get; set; }
        [DataMember(Order = 29)]
        public string BcrCode4 { get; set; }
        [DataMember(Order = 30)]
        public int TaskNumber4 { get; set; }
        [DataMember(Order = 31)]
        public short GoodsStart4 { get; set; }
        [DataMember(Order = 32)]
        public short GoodsEnd4 { get; set; }
        [DataMember(Order = 33)]
        public short Mode4 { get; set; }
        [DataMember(Order = 34)]
        public short CmdType4 { get; set; }
        [DataMember(Order = 35)]
        public short VoucherNo4 { get; set; }
        [DataMember(Order = 36)]
        public string BcrCode5 { get; set; }
        [DataMember(Order = 37)]
        public int TaskNumber5 { get; set; }
        [DataMember(Order = 38)]
        public short GoodsStart5 { get; set; }
        [DataMember(Order = 39)]
        public short GoodsEnd5 { get; set; }
        [DataMember(Order = 40)]
        public short Mode5 { get; set; }
        [DataMember(Order = 41)]
        public short CmdType5 { get; set; }
        [DataMember(Order = 42)]
        public short VoucherNo5 { get; set; }
        [DataMember(Order = 43)]
        public string BcrCode6 { get; set; }
        [DataMember(Order = 44)]
        public int TaskNumber6 { get; set; }
        [DataMember(Order = 45)]
        public short GoodsStart6 { get; set; }
        [DataMember(Order = 46)]
        public short GoodsEnd6 { get; set; }
        [DataMember(Order = 47)]
        public short Mode6 { get; set; }
        [DataMember(Order = 48)]
        public short CmdType6 { get; set; }
        [DataMember(Order = 49)]
        public short VoucherNo6 { get; set; }
        [DataMember(Order = 50)]
        public string BcrCode7 { get; set; }
        [DataMember(Order = 51)]
        public int TaskNumber7 { get; set; }
        [DataMember(Order = 52)]
        public short GoodsStart7 { get; set; }
        [DataMember(Order = 53)]
        public short GoodsEnd7 { get; set; }
        [DataMember(Order = 54)]
        public short Mode7 { get; set; }
        [DataMember(Order = 55)]
        public short CmdType7 { get; set; }
        [DataMember(Order = 56)]
        public short VoucherNo7 { get; set; }
        [DataMember(Order = 57)]
        public string BcrCode8 { get; set; }
        [DataMember(Order = 58)]
        public int TaskNumber8 { get; set; }
        [DataMember(Order = 59)]
        public short GoodsStart8 { get; set; }
        [DataMember(Order = 60)]
        public short GoodsEnd8 { get; set; }
        [DataMember(Order = 61)]
        public short Mode8 { get; set; }
        [DataMember(Order = 62)]
        public short CmdType8 { get; set; }
        [DataMember(Order = 63)]
        public short VoucherNo8 { get; set; }
        [DataMember(Order = 64)]
        public string BcrCode9 { get; set; }
        [DataMember(Order = 65)]
        public int TaskNumber9 { get; set; }
        [DataMember(Order = 66)]
        public short GoodsStart9 { get; set; }
        [DataMember(Order = 67)]
        public short GoodsEnd9 { get; set; }
        [DataMember(Order = 68)]
        public short Mode9 { get; set; }
        [DataMember(Order = 69)]
        public short CmdType9 { get; set; }
        [DataMember(Order = 70)]
        public short VoucherNo9 { get; set; }
        [DataMember(Order = 71)]
        public string BcrCode10 { get; set; }
        [DataMember(Order = 72)]
        public int TaskNumber10 { get; set; }
        [DataMember(Order = 73)]
        public short GoodsStart10 { get; set; }
        [DataMember(Order = 74)]
        public short GoodsEnd10 { get; set; }
        [DataMember(Order = 75)]
        public short Mode10 { get; set; }
        [DataMember(Order = 76)]
        public short CmdType10 { get; set; }
        [DataMember(Order = 77)]
        public short VoucherNo10 { get; set; }
        [DataMember(Order = 78)]
        public string BcrCode11 { get; set; }
        [DataMember(Order = 79)]
        public int TaskNumber11 { get; set; }
        [DataMember(Order = 80)]
        public short GoodsStart11 { get; set; }
        [DataMember(Order = 81)]
        public short GoodsEnd11 { get; set; }
        [DataMember(Order = 82)]
        public short Mode11 { get; set; }
        [DataMember(Order = 83)]
        public short CmdType11 { get; set; }
        [DataMember(Order = 84)]
        public short VoucherNo11 { get; set; }
        [DataMember(Order = 85)]
        public string BcrCode12 { get; set; }
        [DataMember(Order = 86)]
        public int TaskNumber12 { get; set; }
        [DataMember(Order = 87)]
        public short GoodsStart12 { get; set; }
        [DataMember(Order = 88)]
        public short GoodsEnd12 { get; set; }
        [DataMember(Order = 89)]
        public short Mode12 { get; set; }
        [DataMember(Order = 90)]
        public short CmdType12 { get; set; }
        [DataMember(Order = 91)]
        public short VoucherNo12 { get; set; }
        [DataMember(Order = 92)]
        public string BcrCode13 { get; set; }
        [DataMember(Order = 93)]
        public int TaskNumber13 { get; set; }
        [DataMember(Order = 94)]
        public short GoodsStart13 { get; set; }
        [DataMember(Order = 95)]
        public short GoodsEnd13 { get; set; }
        [DataMember(Order = 96)]
        public short Mode13 { get; set; }
        [DataMember(Order = 97)]
        public short CmdType13 { get; set; }
        [DataMember(Order = 98)]
        public short VoucherNo13 { get; set; }
        [DataMember(Order = 99)]
        public string BcrCode14 { get; set; }
        [DataMember(Order = 100)]
        public int TaskNumber14 { get; set; }
        [DataMember(Order = 101)]
        public short GoodsStart14 { get; set; }
        [DataMember(Order = 102)]
        public short GoodsEnd14 { get; set; }
        [DataMember(Order = 103)]
        public short Mode14 { get; set; }
        [DataMember(Order = 104)]
        public short CmdType14 { get; set; }
        [DataMember(Order = 105)]
        public short VoucherNo14 { get; set; }
        [DataMember(Order = 106)]
        public string BcrCode15 { get; set; }
        [DataMember(Order = 107)]
        public int TaskNumber15 { get; set; }
        [DataMember(Order = 108)]
        public short GoodsStart15 { get; set; }
        [DataMember(Order = 109)]
        public short GoodsEnd15 { get; set; }
        [DataMember(Order = 110)]
        public short Mode15 { get; set; }
        [DataMember(Order = 111)]
        public short CmdType15 { get; set; }
        [DataMember(Order = 112)]
        public short VoucherNo15 { get; set; }
        [DataMember(Order = 113)]
        public string BcrCode16 { get; set; }
        [DataMember(Order = 114)]
        public int TaskNumber16 { get; set; }
        [DataMember(Order = 115)]
        public short GoodsStart16 { get; set; }
        [DataMember(Order = 116)]
        public short GoodsEnd16 { get; set; }
        [DataMember(Order = 117)]
        public short Mode16 { get; set; }
        [DataMember(Order = 118)]
        public short CmdType16 { get; set; }
        [DataMember(Order = 119)]
        public short VoucherNo16 { get; set; }
        [DataMember(Order = 120)]
        public string BcrCode17 { get; set; }
        [DataMember(Order = 121)]
        public int TaskNumber17 { get; set; }
        [DataMember(Order = 122)]
        public short GoodsStart17 { get; set; }
        [DataMember(Order = 123)]
        public short GoodsEnd17 { get; set; }
        [DataMember(Order = 124)]
        public short Mode17 { get; set; }
        [DataMember(Order = 125)]
        public short CmdType17 { get; set; }
        [DataMember(Order = 126)]
        public short VoucherNo17 { get; set; }
        [DataMember(Order = 127)]
        public string BcrCode18 { get; set; }
        [DataMember(Order = 128)]
        public int TaskNumber18 { get; set; }
        [DataMember(Order = 129)]
        public short GoodsStart18 { get; set; }
        [DataMember(Order = 130)]
        public short GoodsEnd18 { get; set; }
        [DataMember(Order = 131)]
        public short Mode18 { get; set; }
        [DataMember(Order = 132)]
        public short CmdType18 { get; set; }
        [DataMember(Order = 133)]
        public short VoucherNo18 { get; set; }
        [DataMember(Order = 134)]
        public string BcrCode19 { get; set; }
        [DataMember(Order = 135)]
        public int TaskNumber19 { get; set; }
        [DataMember(Order = 136)]
        public short GoodsStart19 { get; set; }
        [DataMember(Order = 137)]
        public short GoodsEnd19 { get; set; }
        [DataMember(Order = 138)]
        public short Mode19 { get; set; }
        [DataMember(Order = 139)]
        public short CmdType19 { get; set; }
        [DataMember(Order = 140)]
        public short VoucherNo19 { get; set; }
        [DataMember(Order = 141)]
        public string BcrCode20 { get; set; }
        [DataMember(Order = 142)]
        public int TaskNumber20 { get; set; }
        [DataMember(Order = 143)]
        public short GoodsStart20 { get; set; }
        [DataMember(Order = 144)]
        public short GoodsEnd20 { get; set; }
        [DataMember(Order = 145)]
        public short Mode20 { get; set; }
        [DataMember(Order = 146)]
        public short CmdType20 { get; set; }
        [DataMember(Order = 147)]
        public short VoucherNo20 { get; set; }
        [DataMember(Order = 148)]
        public string BcrCode21 { get; set; }
        [DataMember(Order = 149)]
        public int TaskNumber21 { get; set; }
        [DataMember(Order = 150)]
        public short GoodsStart21 { get; set; }
        [DataMember(Order = 151)]
        public short GoodsEnd21 { get; set; }
        [DataMember(Order = 152)]
        public short Mode21 { get; set; }
        [DataMember(Order = 153)]
        public short CmdType21 { get; set; }
        [DataMember(Order = 154)]
        public short VoucherNo21 { get; set; }
        [DataMember(Order = 155)]
        public string BcrCode22 { get; set; }
        [DataMember(Order = 156)]
        public int TaskNumber22 { get; set; }
        [DataMember(Order = 157)]
        public short GoodsStart22 { get; set; }
        [DataMember(Order = 158)]
        public short GoodsEnd22 { get; set; }
        [DataMember(Order = 159)]
        public short Mode22 { get; set; }
        [DataMember(Order = 160)]
        public short CmdType22 { get; set; }
        [DataMember(Order = 161)]
        public short VoucherNo22 { get; set; }
        [DataMember(Order = 162)]
        public string BcrCode23 { get; set; }
        [DataMember(Order = 163)]
        public int TaskNumber23 { get; set; }
        [DataMember(Order = 164)]
        public short GoodsStart23 { get; set; }
        [DataMember(Order = 165)]
        public short GoodsEnd23 { get; set; }
        [DataMember(Order = 166)]
        public short Mode23 { get; set; }
        [DataMember(Order = 167)]
        public short CmdType23 { get; set; }
        [DataMember(Order = 168)]
        public short VoucherNo23 { get; set; }
        [DataMember(Order = 169)]
        public string BcrCode24 { get; set; }
        [DataMember(Order = 170)]
        public int TaskNumber24 { get; set; }
        [DataMember(Order = 171)]
        public short GoodsStart24 { get; set; }
        [DataMember(Order = 172)]
        public short GoodsEnd24 { get; set; }
        [DataMember(Order = 173)]
        public short Mode24 { get; set; }
        [DataMember(Order = 174)]
        public short CmdType24 { get; set; }
        [DataMember(Order = 175)]
        public short VoucherNo24 { get; set; }
        [DataMember(Order = 176)]
        public string BcrCode25 { get; set; }
        [DataMember(Order = 177)]
        public int TaskNumber25 { get; set; }
        [DataMember(Order = 178)]
        public short GoodsStart25 { get; set; }
        [DataMember(Order = 179)]
        public short GoodsEnd25 { get; set; }
        [DataMember(Order = 180)]
        public short Mode25 { get; set; }
        [DataMember(Order = 181)]
        public short CmdType25 { get; set; }
        [DataMember(Order = 182)]
        public short VoucherNo25 { get; set; }
        [DataMember(Order = 183)]
        public string BcrCode26 { get; set; }
        [DataMember(Order = 184)]
        public int TaskNumber26 { get; set; }
        [DataMember(Order = 185)]
        public short GoodsStart26 { get; set; }
        [DataMember(Order = 186)]
        public short GoodsEnd26 { get; set; }
        [DataMember(Order = 187)]
        public short Mode26 { get; set; }
        [DataMember(Order = 188)]
        public short CmdType26 { get; set; }
        [DataMember(Order = 189)]
        public short VoucherNo26 { get; set; }
        [DataMember(Order = 190)]
        public string BcrCode27 { get; set; }
        [DataMember(Order = 191)]
        public int TaskNumber27 { get; set; }
        [DataMember(Order = 192)]
        public short GoodsStart27 { get; set; }
        [DataMember(Order = 193)]
        public short GoodsEnd27 { get; set; }
        [DataMember(Order = 194)]
        public short Mode27 { get; set; }
        [DataMember(Order = 195)]
        public short CmdType27 { get; set; }
        [DataMember(Order = 196)]
        public short VoucherNo27 { get; set; }
        [DataMember(Order = 197)]
        public string BcrCode28 { get; set; }
        [DataMember(Order = 198)]
        public int TaskNumber28 { get; set; }
        [DataMember(Order = 199)]
        public short GoodsStart28 { get; set; }
        [DataMember(Order = 200)]
        public short GoodsEnd28 { get; set; }
        [DataMember(Order = 201)]
        public short Mode28 { get; set; }
        [DataMember(Order = 202)]
        public short CmdType28 { get; set; }
        [DataMember(Order = 203)]
        public short VoucherNo28 { get; set; }
        [DataMember(Order = 204)]
        public string BcrCode29 { get; set; }
        [DataMember(Order = 205)]
        public int TaskNumber29 { get; set; }
        [DataMember(Order = 206)]
        public short GoodsStart29 { get; set; }
        [DataMember(Order = 207)]
        public short GoodsEnd29 { get; set; }
        [DataMember(Order = 208)]
        public short Mode29 { get; set; }
        [DataMember(Order = 209)]
        public short CmdType29 { get; set; }
        [DataMember(Order = 210)]
        public short VoucherNo29 { get; set; }
        [DataMember(Order = 211)]
        public string BcrCode30 { get; set; }
        [DataMember(Order = 212)]
        public int TaskNumber30 { get; set; }
        [DataMember(Order = 213)]
        public short GoodsStart30 { get; set; }
        [DataMember(Order = 214)]
        public short GoodsEnd30 { get; set; }
        [DataMember(Order = 215)]
        public short Mode30 { get; set; }
        [DataMember(Order = 216)]
        public short CmdType30 { get; set; }
        [DataMember(Order = 217)]
        public short VoucherNo30 { get; set; }
        [DataMember(Order = 218)]
        public string BcrCode31 { get; set; }
        [DataMember(Order = 219)]
        public int TaskNumber31 { get; set; }
        [DataMember(Order = 220)]
        public short GoodsStart31 { get; set; }
        [DataMember(Order = 221)]
        public short GoodsEnd31 { get; set; }
        [DataMember(Order = 222)]
        public short Mode31 { get; set; }
        [DataMember(Order = 223)]
        public short CmdType31 { get; set; }
        [DataMember(Order = 224)]
        public short VoucherNo31 { get; set; }
        [DataMember(Order = 225)]
        public string BcrCode32 { get; set; }
        [DataMember(Order = 226)]
        public int TaskNumber32 { get; set; }
        [DataMember(Order = 227)]
        public short GoodsStart32 { get; set; }
        [DataMember(Order = 228)]
        public short GoodsEnd32 { get; set; }
        [DataMember(Order = 229)]
        public short Mode32 { get; set; }
        [DataMember(Order = 230)]
        public short CmdType32 { get; set; }
        [DataMember(Order = 231)]
        public short VoucherNo32 { get; set; }
        [DataMember(Order = 232)]
        public string BcrCode33 { get; set; }
        [DataMember(Order = 233)]
        public int TaskNumber33 { get; set; }
        [DataMember(Order = 234)]
        public short GoodsStart33 { get; set; }
        [DataMember(Order = 235)]
        public short GoodsEnd33 { get; set; }
        [DataMember(Order = 236)]
        public short Mode33 { get; set; }
        [DataMember(Order = 237)]
        public short CmdType33 { get; set; }
        [DataMember(Order = 238)]
        public short VoucherNo33 { get; set; }
        [DataMember(Order = 239)]
        public string BcrCode34 { get; set; }
        [DataMember(Order = 240)]
        public int TaskNumber34 { get; set; }
        [DataMember(Order = 241)]
        public short GoodsStart34 { get; set; }
        [DataMember(Order = 242)]
        public short GoodsEnd34 { get; set; }
        [DataMember(Order = 243)]
        public short Mode34 { get; set; }
        [DataMember(Order = 244)]
        public short CmdType34 { get; set; }
        [DataMember(Order = 245)]
        public short VoucherNo34 { get; set; }
        [DataMember(Order = 246)]
        public string BcrCode35 { get; set; }
        [DataMember(Order = 247)]
        public int TaskNumber35 { get; set; }
        [DataMember(Order = 248)]
        public short GoodsStart35 { get; set; }
        [DataMember(Order = 249)]
        public short GoodsEnd35 { get; set; }
        [DataMember(Order = 250)]
        public short Mode35 { get; set; }
        [DataMember(Order = 251)]
        public short CmdType35 { get; set; }
        [DataMember(Order = 252)]
        public short VoucherNo35 { get; set; }
        [DataMember(Order = 253)]
        public string BcrCode36 { get; set; }
        [DataMember(Order = 254)]
        public int TaskNumber36 { get; set; }
        [DataMember(Order = 255)]
        public short GoodsStart36 { get; set; }
        [DataMember(Order = 256)]
        public short GoodsEnd36 { get; set; }
        [DataMember(Order = 257)]
        public short Mode36 { get; set; }
        [DataMember(Order = 258)]
        public short CmdType36 { get; set; }
        [DataMember(Order = 259)]
        public short VoucherNo36 { get; set; }
        [DataMember(Order = 260)]
        public string BcrCode37 { get; set; }
        [DataMember(Order = 261)]
        public int TaskNumber37 { get; set; }
        [DataMember(Order = 262)]
        public short GoodsStart37 { get; set; }
        [DataMember(Order = 263)]
        public short GoodsEnd37 { get; set; }
        [DataMember(Order = 264)]
        public short Mode37 { get; set; }
        [DataMember(Order = 265)]
        public short CmdType37 { get; set; }
        [DataMember(Order = 266)]
        public short VoucherNo37 { get; set; }
        [DataMember(Order = 267)]
        public string BcrCode38 { get; set; }
        [DataMember(Order = 268)]
        public int TaskNumber38 { get; set; }
        [DataMember(Order = 269)]
        public short GoodsStart38 { get; set; }
        [DataMember(Order = 270)]
        public short GoodsEnd38 { get; set; }
        [DataMember(Order = 271)]
        public short Mode38 { get; set; }
        [DataMember(Order = 272)]
        public short CmdType38 { get; set; }
        [DataMember(Order = 273)]
        public short VoucherNo38 { get; set; }
        [DataMember(Order = 274)]
        public string BcrCode39 { get; set; }
        [DataMember(Order = 275)]
        public int TaskNumber39 { get; set; }
        [DataMember(Order = 276)]
        public short GoodsStart39 { get; set; }
        [DataMember(Order = 277)]
        public short GoodsEnd39 { get; set; }
        [DataMember(Order = 278)]
        public short Mode39 { get; set; }
        [DataMember(Order = 279)]
        public short CmdType39 { get; set; }
        [DataMember(Order = 280)]
        public short VoucherNo39 { get; set; }
        [DataMember(Order = 281)]
        public string BcrCode40 { get; set; }
        [DataMember(Order = 282)]
        public int TaskNumber40 { get; set; }
        [DataMember(Order = 283)]
        public short GoodsStart40 { get; set; }
        [DataMember(Order = 284)]
        public short GoodsEnd40 { get; set; }
        [DataMember(Order = 285)]
        public short Mode40 { get; set; }
        [DataMember(Order = 286)]
        public short CmdType40 { get; set; }
        [DataMember(Order = 287)]
        public short VoucherNo40 { get; set; }
        [DataMember(Order = 288)]
        public string BcrCode41 { get; set; }
        [DataMember(Order = 289)]
        public int TaskNumber41 { get; set; }
        [DataMember(Order = 290)]
        public short GoodsStart41 { get; set; }
        [DataMember(Order = 291)]
        public short GoodsEnd41 { get; set; }
        [DataMember(Order = 292)]
        public short Mode41 { get; set; }
        [DataMember(Order = 293)]
        public short CmdType41 { get; set; }
        [DataMember(Order = 294)]
        public short VoucherNo41 { get; set; }
        [DataMember(Order = 295)]
        public string BcrCode42 { get; set; }
        [DataMember(Order = 296)]
        public int TaskNumber42 { get; set; }
        [DataMember(Order = 297)]
        public short GoodsStart42 { get; set; }
        [DataMember(Order = 298)]
        public short GoodsEnd42 { get; set; }
        [DataMember(Order = 299)]
        public short Mode42 { get; set; }
        [DataMember(Order = 300)]
        public short CmdType42 { get; set; }
        [DataMember(Order = 301)]
        public short VoucherNo42 { get; set; }
        [DataMember(Order = 302)]
        public string BcrCode43 { get; set; }
        [DataMember(Order = 303)]
        public int TaskNumber43 { get; set; }
        [DataMember(Order = 304)]
        public short GoodsStart43 { get; set; }
        [DataMember(Order = 305)]
        public short GoodsEnd43 { get; set; }
        [DataMember(Order = 306)]
        public short Mode43 { get; set; }
        [DataMember(Order = 307)]
        public short CmdType43 { get; set; }
        [DataMember(Order = 308)]
        public short VoucherNo43 { get; set; }
        [DataMember(Order = 309)]
        public string BcrCode44 { get; set; }
        [DataMember(Order = 310)]
        public int TaskNumber44 { get; set; }
        [DataMember(Order = 311)]
        public short GoodsStart44 { get; set; }
        [DataMember(Order = 312)]
        public short GoodsEnd44 { get; set; }
        [DataMember(Order = 313)]
        public short Mode44 { get; set; }
        [DataMember(Order = 314)]
        public short CmdType44 { get; set; }
        [DataMember(Order = 315)]
        public short VoucherNo44 { get; set; }
        [DataMember(Order = 316)]
        public string BcrCode45 { get; set; }
        [DataMember(Order = 317)]
        public int TaskNumber45 { get; set; }
        [DataMember(Order = 318)]
        public short GoodsStart45 { get; set; }
        [DataMember(Order = 319)]
        public short GoodsEnd45 { get; set; }
        [DataMember(Order = 320)]
        public short Mode45 { get; set; }
        [DataMember(Order = 321)]
        public short CmdType45 { get; set; }
        [DataMember(Order = 322)]
        public short VoucherNo45 { get; set; }
        [DataMember(Order = 323)]
        public string BcrCode46 { get; set; }
        [DataMember(Order = 324)]
        public int TaskNumber46 { get; set; }
        [DataMember(Order = 325)]
        public short GoodsStart46 { get; set; }
        [DataMember(Order = 326)]
        public short GoodsEnd46 { get; set; }
        [DataMember(Order = 327)]
        public short Mode46 { get; set; }
        [DataMember(Order = 328)]
        public short CmdType46 { get; set; }
        [DataMember(Order = 329)]
        public short VoucherNo46 { get; set; }
        [DataMember(Order = 330)]
        public string BcrCode47 { get; set; }
        [DataMember(Order = 331)]
        public int TaskNumber47 { get; set; }
        [DataMember(Order = 332)]
        public short GoodsStart47 { get; set; }
        [DataMember(Order = 333)]
        public short GoodsEnd47 { get; set; }
        [DataMember(Order = 334)]
        public short Mode47 { get; set; }
        [DataMember(Order = 335)]
        public short CmdType47 { get; set; }
        [DataMember(Order = 336)]
        public short VoucherNo47 { get; set; }
        [DataMember(Order = 337)]
        public string BcrCode48 { get; set; }
        [DataMember(Order = 338)]
        public int TaskNumber48 { get; set; }
        [DataMember(Order = 339)]
        public short GoodsStart48 { get; set; }
        [DataMember(Order = 340)]
        public short GoodsEnd48 { get; set; }
        [DataMember(Order = 341)]
        public short Mode48 { get; set; }
        [DataMember(Order = 342)]
        public short CmdType48 { get; set; }
        [DataMember(Order = 343)]
        public short VoucherNo48 { get; set; }
        [DataMember(Order = 344)]
        public string BcrCode49 { get; set; }
        [DataMember(Order = 345)]
        public int TaskNumber49 { get; set; }
        [DataMember(Order = 346)]
        public short GoodsStart49 { get; set; }
        [DataMember(Order = 347)]
        public short GoodsEnd49 { get; set; }
        [DataMember(Order = 348)]
        public short Mode49 { get; set; }
        [DataMember(Order = 349)]
        public short CmdType49 { get; set; }
        [DataMember(Order = 350)]
        public short VoucherNo49 { get; set; }
    }
    [DataContract]
    public class ILogData : WCS.Entity.Protocol.ILog
    {
        [DataMember(Order = 0)]
        public string Log { get; set; }
    }
    [DataContract]
    public class IRGV520Data : WCS.Entity.Protocol.RGV.IRGV520
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }
        [DataMember(Order = 1)]
        public WCS.Entity.Protocol.RGV.RGVCmdType CmdType { get; set; }
        [DataMember(Order = 2)]
        public short StartPosition { get; set; }
        [DataMember(Order = 3)]
        public short DestPosition { get; set; }
        [DataMember(Order = 4)]
        public short RES1 { get; set; }
        [DataMember(Order = 5)]
        public short RES2 { get; set; }
        [DataMember(Order = 6)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class IRGV521Data : WCS.Entity.Protocol.RGV.IRGV521
    {
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }
        [DataMember(Order = 1)]
        public WCS.Entity.Protocol.RGV.RGVCmdType CmdType { get; set; }
        [DataMember(Order = 2)]
        public short StartPosition { get; set; }
        [DataMember(Order = 3)]
        public short DestPosition { get; set; }
        [DataMember(Order = 4)]
        public short RES1 { get; set; }
        [DataMember(Order = 5)]
        public short RES2 { get; set; }
        [DataMember(Order = 6)]
        public short VoucherNo { get; set; }
        [DataMember(Order = 7)]
        public WCS.Entity.Protocol.RGV.RGVSystemStatus SystemStatus { get; set; }
        [DataMember(Order = 8)]
        public WCS.Entity.Protocol.RGV.RGVWorkMode WorkMode { get; set; }
        [DataMember(Order = 9)]
        public float Position { get; set; }
        [DataMember(Order = 10)]
        public float Mileage { get; set; }
        [DataMember(Order = 11)]
        public float RunTime { get; set; }
        [DataMember(Order = 12)]
        public WCS.Entity.Protocol.RGV.RGVStatus Status { get; set; }
    }
    [DataContract]
    public class ISRM521Data : WCS.Entity.Protocol.SRM.ISRM521
    {
        [DataMember(Order = 0)]
        public int TaskID1 { get; set; }
        [DataMember(Order = 1)]
        public short SRow1 { get; set; }
        [DataMember(Order = 2)]
        public short SCol1 { get; set; }
        [DataMember(Order = 3)]
        public short SLayer1 { get; set; }
        [DataMember(Order = 4)]
        public short Cancel1 { get; set; }
        [DataMember(Order = 5)]
        public short ERow1 { get; set; }
        [DataMember(Order = 6)]
        public short ECol1 { get; set; }
        [DataMember(Order = 7)]
        public short ELayer1 { get; set; }
        [DataMember(Order = 8)]
        public short EDepth1 { get; set; }
        [DataMember(Order = 9)]
        public int FinishedTaskID1 { get; set; }
        [DataMember(Order = 10)]
        public int ForkPos1 { get; set; }
        [DataMember(Order = 11)]
        public int TaskID2 { get; set; }
        [DataMember(Order = 12)]
        public short SRow2 { get; set; }
        [DataMember(Order = 13)]
        public short SCol2 { get; set; }
        [DataMember(Order = 14)]
        public short SLayer2 { get; set; }
        [DataMember(Order = 15)]
        public short Cancel2 { get; set; }
        [DataMember(Order = 16)]
        public short ERow2 { get; set; }
        [DataMember(Order = 17)]
        public short ECol2 { get; set; }
        [DataMember(Order = 18)]
        public short ELayer2 { get; set; }
        [DataMember(Order = 19)]
        public short EDepth2 { get; set; }
        [DataMember(Order = 20)]
        public int FinishedTaskID2 { get; set; }
        [DataMember(Order = 21)]
        public int ForkPos2 { get; set; }
        [DataMember(Order = 22)]
        public WCS.Entity.Protocol.SRM.SrmMode Mode { get; set; }
        [DataMember(Order = 23)]
        public WCS.Entity.Protocol.SRM.SrmRunStatus Status { get; set; }
        [DataMember(Order = 24)]
        public short Alarm { get; set; }
        [DataMember(Order = 25)]
        public short Row { get; set; }
        [DataMember(Order = 26)]
        public short Col { get; set; }
        [DataMember(Order = 27)]
        public short Layer { get; set; }
        [DataMember(Order = 28)]
        public int TravelPos { get; set; }
        [DataMember(Order = 29)]
        public int LiftPos { get; set; }
        [DataMember(Order = 30)]
        public float TotalKM { get; set; }
        [DataMember(Order = 31)]
        public float RunTime { get; set; }
        [DataMember(Order = 32)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class ISRM520Data : WCS.Entity.Protocol.SRM.ISRM520
    {
        [DataMember(Order = 0)]
        public int TaskID1 { get; set; }
        [DataMember(Order = 1)]
        public short SRow1 { get; set; }
        [DataMember(Order = 2)]
        public short SCol1 { get; set; }
        [DataMember(Order = 3)]
        public short SLayer1 { get; set; }
        [DataMember(Order = 4)]
        public short CancelAck1 { get; set; }
        [DataMember(Order = 5)]
        public short ERow1 { get; set; }
        [DataMember(Order = 6)]
        public short ECol1 { get; set; }
        [DataMember(Order = 7)]
        public short ELayer1 { get; set; }
        [DataMember(Order = 8)]
        public short EDepth1 { get; set; }
        [DataMember(Order = 9)]
        public short Target1 { get; set; }
        [DataMember(Order = 10)]
        public short TaskType1 { get; set; }
        [DataMember(Order = 11)]
        public short OkAck1 { get; set; }
        [DataMember(Order = 12)]
        public int TaskID2 { get; set; }
        [DataMember(Order = 13)]
        public short SRow2 { get; set; }
        [DataMember(Order = 14)]
        public short SCol2 { get; set; }
        [DataMember(Order = 15)]
        public short SLayer2 { get; set; }
        [DataMember(Order = 16)]
        public short CancelAck2 { get; set; }
        [DataMember(Order = 17)]
        public short ERow2 { get; set; }
        [DataMember(Order = 18)]
        public short ECol2 { get; set; }
        [DataMember(Order = 19)]
        public short ELayer2 { get; set; }
        [DataMember(Order = 20)]
        public short EDepth2 { get; set; }
        [DataMember(Order = 21)]
        public short Target2 { get; set; }
        [DataMember(Order = 22)]
        public short TaskType2 { get; set; }
        [DataMember(Order = 23)]
        public short OkAck2 { get; set; }
        [DataMember(Order = 24)]
        public short HB { get; set; }
        [DataMember(Order = 25)]
        public short VoucherNo { get; set; }
    }
    [DataContract]
    public class ISRM537Data : WCS.Entity.Protocol.SRM.ISRM537
    {
        [DataMember(Order = 0)]
        public WCS.Entity.Protocol.SRM.SrmAlarm Alarm { get; set; }
    }

    [DataContract]
    public class ISRM542Data : WCS.Entity.Protocol.SRM.ISRM542
    {
        [DataMember(Order = 0)]
        public WCS.Entity.Protocol.SRM.SrmAlarmExt Alarm { get; set; }
        [DataMember(Order = 1)]
        public WCS.Entity.Protocol.SRM.SrmAlarmExt1 Alarm1 { get; set; }

    }
    [DataContract]
    public class IBCR80Data : WCS.Entity.Protocol.BCR.IBCR80
    {
        [DataMember(Order = 0)]
        public string Content { get; set; }
    }
    [DataContract]
    public class IBCR81Data : WCS.Entity.Protocol.BCR.IBCR81
    {
        [DataMember(Order = 0)]
        public string Content { get; set; }
    }
    [DataContract]
    public class IBCR83Data : WCS.Entity.Protocol.BCR.IBCR83
    {
        [DataMember(Order = 0)]
        public short Index { get; set; }
        [DataMember(Order = 1)]
        public short LastIndex { get; set; }
        [DataMember(Order = 2)]
        public string BcrCode { get; set; }
        [DataMember(Order = 3)]
        public string BcrCode1 { get; set; }
        [DataMember(Order = 4)]
        public string BcrCode2 { get; set; }
        [DataMember(Order = 5)]
        public string BcrCode3 { get; set; }
        [DataMember(Order = 6)]
        public string BcrCode4 { get; set; }
        [DataMember(Order = 7)]
        public string BcrCode5 { get; set; }
        [DataMember(Order = 8)]
        public string BcrCode6 { get; set; }
        [DataMember(Order = 9)]
        public string BcrCode7 { get; set; }
        [DataMember(Order = 10)]
        public string BcrCode8 { get; set; }
        [DataMember(Order = 11)]
        public string BcrCode9 { get; set; }
        [DataMember(Order = 12)]
        public string BcrCode10 { get; set; }
        [DataMember(Order = 13)]
        public string BcrCode11 { get; set; }
    }
}
